<?xml version="1.0" encoding="utf-8"?>

<com.android.views.swipeLayout.SwipeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="84dp">

    <LinearLayout
        android:layout_width="80dp"
        android:layout_height="match_parent">

        <TextView
            android:id="@+id/tv_trash"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/red"
            android:gravity="center"
            android:text="@string/delete"
            android:textColor="@color/white"
            android:textSize="18sp" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout_message_item"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:orientation="horizontal"
        android:padding="12dp">

        <com.android.views.roundrect.RoundedImageView
            android:id="@+id/iv_message_avatar"
            android:layout_width="48dp"
            android:layout_height="48dp"
            android:layout_margin="4dp"
            app:riv_border_color="@color/pop_bg_color"
            app:riv_border_width="1dip"
            app:riv_corner_radius="5dip"
            app:riv_oval="false" />


        <RelativeLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginLeft="6dp"
            android:layout_marginRight="15dp"
            android:layout_weight="1">

            <TextView
                android:id="@+id/tv_message_from"
                android:layout_width="wrap_content"
                android:layout_height="20dp"
                android:gravity="center"
                android:textColor="@color/dark_grey"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/tv_message_type"
                android:layout_width="wrap_content"
                android:layout_height="20dp"
                android:layout_toRightOf="@id/tv_message_from"
                android:gravity="center"
                android:textColor="@color/grey"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/tv_message_content"
                android:layout_width="wrap_content"
                android:layout_height="20dp"
                android:layout_below="@id/tv_message_from"
                android:gravity="center"
                android:singleLine="true"
                android:textColor="@color/dark_grey"
                android:textSize="12sp" />

            <TextView
                android:id="@+id/tv_message_time"
                android:layout_width="wrap_content"
                android:layout_height="20dp"
                android:layout_below="@id/tv_message_content"
                android:gravity="center"
                android:singleLine="true"
                android:textColor="@color/grey"
                android:textSize="12sp" />


        </RelativeLayout>

        <ImageView
            android:id="@+id/iv_message_photo"
            android:layout_width="60dp"
            android:layout_height="60dp"
            android:scaleType="centerCrop"/>


    </LinearLayout>
</com.android.views.swipeLayout.SwipeLayout>
